print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricecarrot = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local carrotHudFile = "Paletten/hud_fill_carrot.dds"
	local carrotHudFileSmall = "Paletten/hud_fill_carrot_small.dds"
	
    local carrotFilType = g_fillTypeManager:addFillType("CARROT", g_i18n:getText("carrot"), true, pricecarrot * 0.8, 0.00045, math.rad(10), carrotHudFile, carrotHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascarrot=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascarrot=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CARROT" then
		hascarrot=true
	end;
		
end;

		if hasmaize and not hascarrot then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CARROT")
		local price = g_fillTypeManager:getFillTypeByName("CARROT").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CARROT")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)